Bug 458760 - kernel: dlm: dlm/user.c input validation fixes [rhel-5.3]
kernel: dlm: dlm/user.c input validation fixes [rhel-5.3]
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
All Linux
medium Severity medium
: rc
: ---
Assigned To: David Teigland
Martin Jenner
: ZStream
Depends On: 458758
  Show dependency treegraph
Reported: 2008-08-12 00:26 EDT by Eugene Teo (Security Response)
Modified: 2009-01-20 15:19 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-01-20 15:19:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Eugene Teo (Security Response) 2008-08-12 00:26:58 EDT
+++ This bug was initially created as a clone of Bug #458758 +++

Description of problem:
a) in device_write(): add sentinel NUL byte, making sure that lspace.name will be NUL-terminated
b) in compat_input() be keep it simple about the amounts of data we are copying.

--- Additional comment from eteo@redhat.com on 2008-08-12 00:19:34 EDT ---

Proposed upstream patch:

--- Additional comment from eteo@redhat.com on 2008-08-12 00:20:32 EDT ---

Created an attachment (id=314043)
Upstream patch for this issue
Comment 1 RHEL Product and Program Management 2008-08-12 10:52:15 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
Comment 2 David Teigland 2008-08-19 13:20:55 EDT
commit in RHEL4 branch a479ddb2fa97033ce44ce11ae28925c55b176a55
commit in RHEL47 branch d8417ee4673aa8c07f9d314704000e248081416b
Comment 3 David Teigland 2008-08-19 13:21:58 EDT
oops, ignore comment 2, this is the wrong bz
Comment 5 Don Zickus 2008-09-02 23:41:31 EDT
in kernel-2.6.18-107.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5
Comment 9 errata-xmlrpc 2009-01-20 15:19:45 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.